import type { CaptchaInterface } from '../Interface/index.js';
import type { CaptchaFactoryInterface } from '../Interface/index.js';
import type { TypeBaseConfig } from '../Type/index.js';
/**
 * Interface representing an captcha provider factory.
 */
export declare class CaptchaFactory implements CaptchaFactoryInterface<TypeBaseConfig> {
    /**
     * Creates an captcha based on the provided configuration.
     *
     * @param {TypeConfig} config - The configuration object for the email provider.
     * @returns {Promise<CaptchaInterface>} - An captcha instance.
     * @throws {Error} - Throws an error when requested provider captcha can't be created.
     */
    create(config: TypeBaseConfig): Promise<CaptchaInterface>;
}
