import { CaptchaFactory } from '../Factory/index.js';
/**
 * Gets the captcha script for the provided configuration.
 *
 * @param {TypeBaseConfig} config - The configuration object for the captcha provider.
 * @returns {Promise<React.FC>} - The captcha script.
 */
export const getCaptchaScript = async (config) => (await (new CaptchaFactory()).create(config)).getCaptchaScript();
